org.wildfly.swarm.config.management.security_realm.server_identity

## Class Keytab<T extends Keytab<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.server_identity.Keytab<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Keytab<T extends Keytab<T>>
      extends HashMap

  Configuration of a keytab to use to represent a server or host controllers identity.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Keytab(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `debug()` Should additional debug logging be enabled during TGT acquisition?
    `T` | `debug(Boolean value)` Should additional debug logging be enabled during TGT acquisition?
    `T` | `forHost(String value)` A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.
    `List<String>` | `forHosts()` A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.
    `T` | `forHosts(List<String> value)` A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.
    `T` | `forHosts(String... args)` A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.
    `String` | `getKey()`
    `String` | `path()` The path to the keytab.
    `T` | `path(String value)` The path to the keytab.
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Keytab

          public Keytab(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### debug

          public Boolean debug()

      Should additional debug logging be enabled during TGT acquisition?

    - #### debug

          public T debug(Boolean value)

      Should additional debug logging be enabled during TGT acquisition?

    - #### forHosts

          public List<String> forHosts()

      A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.

    - #### forHosts

          public T forHosts(List<String> value)

      A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.

    - #### forHost

          public T forHost(String value)

      A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.

    - #### forHosts

          public T forHosts(String... args)

      A server can be accessed using different host names, this attribute specifies which host names this keytab can be used with.

    - #### path

          public String path()

      The path to the keytab.

    - #### path

          public T path(String value)

      The path to the keytab.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2018 JBoss by Red Hat. All rights reserved.